%global gem_name rouge
Name:                rubygem-%{gem_name}
Version:             3.19.0
Release:             1
Summary:             Pure-ruby colorizer based on pygments
License:             MIT and BSD
URL:                 http://rouge.jneen.net/
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby >= 2.0
BuildRequires:       help2man
BuildArch:           noarch
%description
Rouge aims to a be a simple, easy-to-extend drop-in replacement for pygments.

%package             doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description         doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
export GEM_PATH="%{buildroot}%{gem_dir}:%{gem_dir}"
mkdir -p %{buildroot}%{_mandir}/man1
help2man -N -s1 -o %{buildroot}%{_mandir}/man1/rougify.1 \
    %{buildroot}%{_bindir}/rougify

%files
%license %{gem_instdir}/LICENSE
%{_bindir}/rougify
%{_mandir}/man1/rougify.1*
%dir %{gem_instdir}
%{gem_instdir}/bin
%exclude %{gem_instdir}/rouge.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile

%changelog
* Mon Sep 7 2020 yanan li <liyanan032@huawei.com> - 3.19.0-1
- Package init
